Subject: Re: bug#20964: wrong type argument stringp on sending with GCC

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Jan 2017 20:37:32 +0100

Sorry for the late response; due to a misunderstanding the Gnus bug
reports went to a part of the bug tracker I wasn't checking.

[email-masked] (Vitalie Spinu) writes:

> I have the following in gnus-parameters
>
>   (gcc-self "nnfolder+archive:sent" "nnimap+vspinu:ipsoft/[Gmail]/Sent Mail")
>
> While sending a reply through a mail I am getting the following on regular
> basis:
>
>     Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>       string-match("^[^:]+:" nil)
>       nnimap-retrieve-group-data-early("vspinu" (nil))

I can't find that regexp anywhere in that function, so perhaps this has
been fixed by now?  Or are you still seeing this problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no